Loading...
Searching...
No Matches
bwDataHeader_t Struct Reference

The header section of a given data block. More...

`#include <bwValues.h>`

## Data Fields

uint32_t | tid
uint32_t | start
uint32_t | end
uint32_t | step
uint32_t | span
uint8_t | type
uint16_t | nItems

## Detailed Description

The header section of a given data block.

There are 3 types of data blocks in bigWig files, each with slightly different needs. This is all taken care of internally.

## Field Documentation

## end

uint32_t bwDataHeader_t::end

The end position of a block

## nItems

uint16_t bwDataHeader_t::nItems

The number of values in a given block.

## span

uint32_t bwDataHeader_t::span

The span of each data value

## start

uint32_t bwDataHeader_t::start

The start position of a block

## step

uint32_t bwDataHeader_t::step

The step size of the values

## tid

uint32_t bwDataHeader_t::tid

The chromosome ID.

## type

uint8_t bwDataHeader_t::type

The block type: 1, bedGraph; 2, variable step; 3, fixed step.

The documentation for this struct was generated from the following file:

- bwValues.h